# Class NavAction<A>

java.lang.Object
uk.ac.starlink.ttools.plot2.NavAction<A>

public class NavAction<A> extends Object
Describes the result of a navigation request from the GUI. Currently this aggregates two items, both optional: the aspect object which describes the new view of the plotting surface that should result from the action, and a surface decoration for indicating to the user the nature of the navigation in progress.

Since:
  17 Feb 2014
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`NavAction(A aspect, Decoration decoration)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`A`
`getAspect()`
Returns the surface aspect describing the result of the navigation.
`Decoration`
`getDecoration()`
Returns a surface decoration giving a visual indication of the nature of the navigation action in progress.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NavAction

public NavAction(A aspect, Decoration decoration)
Constructor.

Parameters:
  `aspect` - describes the new surface; null if no change
  `decoration` - decorates the surface to indicate navigation; null if no decoration

## Method Details

### getAspect

public A getAspect()
Returns the surface aspect describing the result of the navigation.

Returns:
  surface aspect, or null for no change

### getDecoration

public Decoration getDecoration()
Returns a surface decoration giving a visual indication of the nature of the navigation action in progress.

Returns:
  decoration, or null for no visual indication